Search Referral Network
curl --request GET \
--url https://api.example.com/cabinet/admin/referral-network/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/referral-network/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/referral-network/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": 123,
"tg_id": 123,
"username": "<string>",
"email": "<string>",
"display_name": "<string>",
"is_partner": true,
"referrer_id": 123,
"campaign_id": 123,
"direct_referrals": 123,
"total_branch_users": 123,
"branch_revenue_kopeks": 123,
"personal_revenue_kopeks": 123,
"personal_spent_kopeks": 123,
"subscription_name": "<string>",
"subscription_end": "<string>",
"registered_at": "<string>"
}
],
"campaigns": [
{
"id": 123,
"name": "<string>",
"start_parameter": "<string>",
"is_active": true,
"direct_users": 123,
"total_network_users": 123,
"total_revenue_kopeks": 123,
"conversion_rate": 123,
"avg_check_kopeks": 123,
"top_referrers": [
{
"user_id": 123,
"username": "<string>",
"referral_count": 123
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Referral Network
Search Referral Network
Search users and campaigns in the referral network by telegram_id, username, email, or campaign name.
GET
/
cabinet
/
admin
/
referral-network
/
search
Search Referral Network
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query
Required string length:
1 - 200⌘I
